/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 *      This file handles the parsing of author node and population of the relational database
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class Author extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "last_name",
        "fore_name",
        "first_name",
        "middle_name",
        "initials",
        "suffix",
        "affiliation",
        "collective_name",
	"dates_associated_with_name",
	"name_qualifier",
	"other_information",
	"title_associated_with_name"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "Author.LastName",
        "Author.ForeName",
        "Author.FirstName",
        "Author.MiddleName",
        "Author.Initials",
        "Author.Suffix",
        "Author.Affiliation",
        "Author.CollectiveName",
	"Author.DatesAssociatedWithName",
	"Author.NameQualifier",
	"Author.OtherInformation",
	"Author.TitleAssociatedWithName"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public Author(String pmid) throws Exception{
        tableName = "medline_author";
	xmlNodeName = "Author";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }

}
