/**
 *      @author Ariel Schwartz
 *      @author Gaurav Bhalotia
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
 
public class CommentsCorrections extends NodeHandler{

    String pmid;

    public CommentsCorrections(String pmid, String type) throws Exception{
        tableName = "medline_comments_corrections";
	xmlNodeName = type;

	String[] columnNameDef = {
                        "pmid", 
                        "ref_pmid",
                        "note",
                        "type",
                        "ref_source"
                        
	};

	columnName = columnNameDef;
	
	String[] xmlElementNameDef = {
                        "PPMID",
                        type + ".PMID",          /* The parent element in the stack is a variable*/
                        type + ".Note",
                        "Type",
                        type + ".RefSource"
	};

        xmlElementName = xmlElementNameDef;

	int columnTypeDef[] = {
                        Types.INTEGER,
                        Types.INTEGER,
                        Types.VARCHAR,
                        Types.VARCHAR,
                        Types.VARCHAR
	};

        columnType = columnTypeDef;
        initialize();
	/* Add any data that does not come through XML to the hashtable */
        putColumnValue("PPMID", pmid);
        putColumnValue("Type", type);
    }
}
