/**
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class DataBank extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "data_bank_name",
        "accession_number"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "DataBankName",
        "AccessionNumber"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public DataBank(String pmid, String dataBankName) throws Exception{
	
        tableName = "medline_data_bank";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
        putColumnValue("DataBankName", dataBankName);
    }

}
