/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class GeneSymbol extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "gene_symbol"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "GeneSymbol"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR
    };

    public GeneSymbol(String pmid) throws Exception{
	
        tableName = "medline_gene_symbol_list";
	xmlNodeName = "GeneSymbol";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }
}
