/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class MeshHeadingQualifier extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "descriptor_name",
        "qualifier_name",
        "qualifier_name_major_yn"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "DescriptorName",
        "QualifierName",
        "QualifierName.MajorTopicYN"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public MeshHeadingQualifier(String pmid, String descriptorName) throws Exception{
	
        tableName = "medline_mesh_heading_qualifier";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
        putColumnValue("DescriptorName", descriptorName);
    }
}
