/**
 *      @author Ariel Schwartz
 *      
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class PersonalNameSubject extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "last_name",
        "fore_name",
        "first_name",
        "middle_name",
        "initials",
        "suffix",
	"dates_associated_with_name",
	"name_qualifier",
	"other_information",
	"title_associated_with_name"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "PersonalNameSubject.LastName",
        "PersonalNameSubject.ForeName",
        "PersonalNameSubject.FirstName",
        "PersonalNameSubject.MiddleName",
        "PersonalNameSubject.Initials",
        "PersonalNameSubject.Suffix",
	"PersonalNameSubject.DatesAssociatedWithName",
	"PersonalNameSubject.NameQualifier",
	"PersonalNameSubject.OtherInformation",
	"PersonalNameSubject.TitleAssociatedWithName"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public PersonalNameSubject(String pmid) throws Exception{
	
        tableName = "medline_personal_name_subject";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }
}
